﻿.header-my-movies {
    display: flex;
    justify-content: space-between;
    align-content: center;
    padding: 20px 20px 5px 20px;

    .page-title {
        padding: 0;
    }

    form {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        gap: 20px;
    }
}

.my-movies {
    padding: 20px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(270px, 1fr));
    grid-gap: 50px 20px;

    .my-movie {
        display: flex;
        flex-direction: column;
        align-items: center;
        border: 2px solid $color-movie-dark;
        padding: 10px;
        border-radius: 10px;
        background-color: $color-white;
        box-shadow: 0 0 3px rgba(20, 20, 20, 0.5);
        max-width: 350px;

        h2 {
            text-align: center;
            font-size: 1.4rem;
            background-color: $color-movie-orange;
            color: $color-white;
            margin-bottom: 10px;
            border-radius: 5px;
            padding: 10px;
            width: 100%;
        }

        img {
            max-width: 100%;
        }

        .movie-info {
            align-self: flex-start;
            margin: 5px 5px 25px 5px;
            span {
                font-weight: bold;
            }
        }

        .my-movie-btns {
            margin-top: auto;
            display: flex;
            justify-content: space-between;
            border-top: 1px solid $color-movie-dark;

            button {
                margin: 10px;
            }
        }
    }
}

.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;

    div {
        display: flex;
    }

    .btn {
        margin: 0 5px;
        padding: 15px 35px !important;
        font-size: 1.7rem !important;
        font-weight: bold
    }

    p {
        margin: 10px;
        border: 2px solid $color-white;
        font-weight: bold;
        background-color: $color-movie-orange;
        color: $color-white;
        border-radius: 5px;
        padding: 10px;
        width: 50px;
        text-align: center;
    }
}

@media screen and (max-width: 650px) {
    .header-my-movies {
        flex-direction: column;

        form {
            flex-direction: column;
            gap: 0;
            margin-top: 20px;
            align-items: flex-start;
        }
    }

    .my-movie {
        margin: 0 auto;
    }

    .pagination {
        flex-direction: column;
    }
}